From 3c32fc2cdc294f183f384810942003a4f97c4622 Mon Sep 17 00:00:00 2001
From: Hari Babu <kommi.haribabu@gmail.com>
Date: Mon, 25 Mar 2019 14:48:02 +1100
Subject: [PATCH 1/2] \dA to show Table type access method

---
 src/bin/psql/describe.c | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/src/bin/psql/describe.c b/src/bin/psql/describe.c
index 8129e3ccbf..2f8a4d752a 100644
--- a/src/bin/psql/describe.c
+++ b/src/bin/psql/describe.c
@@ -169,9 +169,11 @@ describeAccessMethods(const char *pattern, bool verbose)
 					  "SELECT amname AS \"%s\",\n"
 					  "  CASE amtype"
 					  " WHEN 'i' THEN '%s'"
+					  " WHEN 't' THEN '%s'"
 					  " END AS \"%s\"",
 					  gettext_noop("Name"),
 					  gettext_noop("Index"),
+					  gettext_noop("Table"),
 					  gettext_noop("Type"));
 
 	if (verbose)
-- 
2.20.1.windows.1

